From: <a href="/blend/av.cgi?id=2093">HaremGirl</a><BR>
Date: 24 February 2012<P>

To BK,<BR>
Yes it still is me.  I have been away for a long time.. Got gangrene and had to have both of my legs amputated.  I almost died twice.  It has been a nightmare for me.
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 24 February 2012<P>

Harem I would recognize that writing style anywhere. I am so glad to hear that you survived...Wow, I am really sorry that happened. Hope all is healing. You have to be a very strong person to survive that for certain. <BR>
<BR>
<BR>
Echolocation, all the writing pre whatever date he started showing is in the vault and you have to dig for it. <BR>
<BR>
Jack are you out there? Wondering where you are lately.<BR>
<BR>
bk<BR>
<BR>
 
<HR>